Name:           glest
Version:        3.1.2
Release:        1%{?dist}
Summary:        3D real time strategy game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://glest.org
Source0:        http://dl.sf.net/glest/glest-source-%{version}.tar.bz2
Source1:        glest.sh
# http://bugs.gentoo.org/attachment.cgi?id=142379
Patch0:         glest-3.0.0-unicode.patch
Patch1:         glest-3.0.0-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jam, libX11-devel, SDL-devel, openal-devel, xerces-c-devel
BuildRequires:  libogg-devel, libvorbis-devel, autoconf, automake
BuildRequires:  desktop-file-utils, wxGTK-devel, recode

Requires:       glest-data = %{version}
# Used in the wrapper script
Requires:       glx-utils
Requires:       opengl-games-utils

# Does not work on PPC (see README.Linux). Bug 219540.
ExcludeArch:    ppc ppc64

%description
Glest is a free 3D real time strategy game, that can be modified
using XML and a set of tools.

Glest takes place in a context which could be compared to that of
the pre-renaissance Europe, with the licence that magic forces
exist in the environment and can be controlled.


%prep
%setup -q -n glest-source-%{version}
#%%patch0 -p0 -b .unicode
%patch1 -p0 -b .gcc43

find . -type f | xargs sed -i -e "s/\r//g" 
recode ISO-8859-1..UTF-8 README
#find . -type f | while read file; do
#  grep -qs "\r\n" $file && dos2unix $file
#done


%build
#cd mk/linux
#sed -i -e "s/\r//g" autogen.sh configure.ac glest.ini Jamfile Jamrules mk/jam/* mk/autoconf/*
#chmod +x autogen.sh
#./autogen.sh
%configure
#jam %{?_smp_mflags}
jam


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/glest
mkdir -p $RPM_BUILD_ROOT%{_datadir}/glest
install -p -m 755 glest $RPM_BUILD_ROOT%{_libexecdir}/glest/
install -p -m 755 glest_editor $RPM_BUILD_ROOT%{_libexecdir}/glest/
install -p -m 644 glest.ini $RPM_BUILD_ROOT%{_datadir}/glest/

# Wrapper
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/glest
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper
ln -s %{_libexecdir}/glest/glest_editor $RPM_BUILD_ROOT%{_bindir}/glest_editor

# Desktop files
cat > glest.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Glest
Comment=Real Time Strategy game
Exec=glest-wrapper
Icon=%{_datadir}/glest/glest-0.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Application;Game;StrategyGame;
EOF
desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        glest.desktop

cat > glest_editor.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Glest Map Editor
Comment=Map Editor for the game Glest
Exec=glest_editor
Icon=%{_datadir}/glest/glest-0.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Application;Game;StrategyGame;
EOF
desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        glest_editor.desktop



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README README.linux license.txt
%{_bindir}/glest
%{_bindir}/glest_editor
%{_bindir}/glest-wrapper
%{_datadir}/applications/*.desktop
%{_libexecdir}/glest
%{_datadir}/glest


%changelog
* Wed Mar 05 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.2-1
- version 3.1.2

* Tue Feb 26 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.1-1
- version 3.1.1

* Sat Feb 16 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.0-1
- version 3.1.0

* Thu Feb 14 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.0.0-3
- add missing values to glest.ini (bug 431944)

* Sun Feb 03 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.0.0-2
- add patch for GCC 4.3 compatibility

* Sat Feb 02 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.0.0-1
- version 3.0.0
- use gentoo patch for unicode
- patch1 merged upstream

* Thu Dec 06 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-5
- fix keyboard (bug 411911)

* Sat Dec 01 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-4
- add a symlink to the "scenarios" directory (bug 403401)

* Sat Oct 06 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-3
- incorporate opengl-games-utils' functionality into the wrapper script

* Sun Sep 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-1
- version 2.0.1
- patch1 merged upstream

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-7
- fix ExcludArch tag (no comma allowed)

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-6
- rebuild for BuildID
- fix license tag

* Wed Dec 20 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-5
- require glx-utils, glxinfo is used in the wrapper script
- don't try to update the configuration on startup

* Mon Dec 18 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-4
- fix launch script to detect if shadows must be turned off

* Thu Dec 14 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-3
- Does not work on PPC yet, ExcludeArch it.

* Mon Nov 27 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-2
- fix description

* Wed Jul 19 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-1
- initial package
